Bug 1161810

Summary: [abrt] abiword: AP_UnixApp::catchSignals(): abiword killed by SIGABRT
Product: [Fedora] Fedora Reporter: Alon Levy <alon>
Component: abiwordAssignee: Marc Maurer <uwog>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: a.delachenal, bastiaan, gajendra.gusain, jfrieben, kashcheyeu, pahan, uwog
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/84f775b72877ab4064ce8f8403af42d8d91370e1
Whiteboard: abrt_hash:691a245aeb811a1fb9f35475862634d377bd195e
Fixed In Version: abiword-3.0.1-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-31 19:02:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Alon Levy 2014-11-08 00:03:11 UTC
Description of problem:
saved the default empty document.
menu select:  collaborate->share document

Version-Release number of selected component:
abiword-3.0.0-14.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        abiword
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
kernel:         3.17.2-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 AP_UnixApp::catchSignals at ap_UnixApp.cpp:1569
 #3 signalWrapper at ap_UnixApp.cpp:1512
 #5 AP_Dialog_CollaborationShare::share at ap_Dialog_CollaborationShare.cpp:183
 #6 s_abicollab_offer at AbiCollab_Plugin.cpp:633
 #7 EV_Menu::invokeMenuMethod at ev_Menu.cpp:188
 #8 EV_UnixMenu::menuEvent at ev_UnixMenu.cpp:337
 #13 gtk_widget_activate at gtkwidget.c:7806
 #14 gtk_menu_shell_activate_item at gtkmenushell.c:1380
 #15 gtk_menu_shell_button_release at gtkmenushell.c:792
 #16 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130

Potential duplicate: bug 701346

Comment 1 Alon Levy 2014-11-08 00:03:15 UTC
Created attachment 955140 [details]
File: backtrace

Comment 2 Alon Levy 2014-11-08 00:03:16 UTC
Created attachment 955141 [details]
File: cgroup

Comment 3 Alon Levy 2014-11-08 00:03:18 UTC
Created attachment 955142 [details]
File: core_backtrace

Comment 4 Alon Levy 2014-11-08 00:03:20 UTC
Created attachment 955143 [details]
File: dso_list

Comment 5 Alon Levy 2014-11-08 00:03:21 UTC
Created attachment 955144 [details]
File: environ

Comment 6 Alon Levy 2014-11-08 00:03:22 UTC
Created attachment 955145 [details]
File: limits

Comment 7 Alon Levy 2014-11-08 00:03:25 UTC
Created attachment 955146 [details]
File: maps

Comment 8 Alon Levy 2014-11-08 00:03:26 UTC
Created attachment 955147 [details]
File: open_fds

Comment 9 Alon Levy 2014-11-08 00:03:28 UTC
Created attachment 955148 [details]
File: proc_pid_status

Comment 10 Alon Levy 2014-11-08 00:03:29 UTC
Created attachment 955149 [details]
File: var_log_messages

Comment 11 Gajendra S. Gusain 2014-11-15 02:59:09 UTC
Another user experienced a similar problem:

This problem occured when I tried to save the document in pdf format

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        abiword '/home/gajendra/Downloads/Linux Lab Questions.docx'
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
kernel:         3.17.2-300.fc21.x86_64
package:        abiword-3.0.0-14.fc21
reason:         abiword killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 12 Fedora Update System 2014-12-27 01:47:13 UTC
abiword-3.0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/abiword-3.0.1-1.fc21

Comment 13 Fedora Update System 2014-12-29 09:56:56 UTC
Package abiword-3.0.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abiword-3.0.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17660/abiword-3.0.1-1.fc21
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-12-31 19:02:10 UTC
abiword-3.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Bastiaan Jacques 2015-01-05 10:30:21 UTC
Another user experienced a similar problem:

1) Visited http://en.wikipedia.org/wiki/Operating_system%E2%80%93level_virtualization#Implementations in Firefox.
2) Selected the entire "Implementations table" and copied the selection (Ctrl+C) to clipboard.
3) Switched to Abiword, selected all (Ctrl+A) and pasted (Ctrl+V).

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        abiword
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
kernel:         3.17.7-300.fc21.x86_64
package:        abiword-3.0.1-1.fc21
reason:         abiword killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 16 Bastiaan Jacques 2015-01-05 10:33:47 UTC
(In reply to Fedora Update System from comment #14)
> abiword-3.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If
> problems still persist, please make note of it in this bug report.

The problem still persists in abiword-3.0.1-1.fc21, assuming ABRT correctly identified my segfault as the same problem.

Comment 17 Bastiaan Jacques 2015-01-05 11:39:18 UTC
Actually, my backtrace has nothing in common with the backtrace from the reporter aside from how the signal is handled.

Comment 18 Bastiaan Jacques 2015-01-05 11:46:14 UTC
(In reply to Bastiaan Jacques from comment #15)
> Another user experienced a similar problem:
> 
> 1) Visited
> http://en.wikipedia.org/wiki/
> Operating_system%E2%80%93level_virtualization#Implementations in Firefox.
> 2) Selected the entire "Implementations table" and copied the selection
> (Ctrl+C) to clipboard.
> 3) Switched to Abiword, selected all (Ctrl+A) and pasted (Ctrl+V).

Reported in bug #1178717.

Comment 19 Alex 2015-02-13 12:31:35 UTC
Another user experienced a similar problem:

I was using Abiword along with other programs, that is: Dolphin, 2 instances of Fifefox, Gedit, Thunderbird, Gwenview and LibreOffice. I was mostly writing, sometimes copying pieces of text from Abiword into Gedit and then moving them into LibreOffice (as it seems impossible to paste them directly from the first to the last one).

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/abiword '/home/Aiace/Documenti/carocci/Chartier_2014/files_originali/2.L\'histoire-ecriture-du-temps.doc'
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
kernel:         3.18.5-201.fc21.x86_64
package:        abiword-3.0.1-1.fc21
reason:         abiword killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Alex 2015-04-17 21:46:17 UTC
Another user experienced a similar problem:

several programs open at the same time, such as Libre Office, Firefox, Dolphin, Thunderbird, Kwrite
I wasn't working with Abiword, I only needed to have a quick look at a file now and then

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/abiword '/home/Aiace/Documenti/carocci/Chartier_2014/files_originali/5 (2). THE AUTHORS\' HAND.DOC'
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
kernel:         3.19.3-200.fc21.x86_64
package:        abiword-3.0.1-1.fc21
reason:         abiword killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Pavel Alexeev 2015-05-13 08:59:34 UTC
Another user experienced a similar problem:

Just try open .docx document. Reproduced twice.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/abiword '/tmp/\xd0\xa2\xd0\x9f\xd0\xa0 \xd0\xbf\xd0\xbe \xd0\xbe\xd1\x80\xd0\xb3\xd0\xb0\xd0\xbd\xd0\xb8\xd0\xb7\xd0\xb0\xd1\x86\xd0\xb8\xd0\xb8 \xd0\x98\xd0\x92 \xd0\xbc\xd0\xb5\xd0\xb6\xd0\xb4\xd1\x83 \xd0\x90\xd0\xa1\xd0\x94\xd0\xa3 \xd0\x95\xd0\xa1\xd0\x93 \xd0\xb8 \xd0\x9c\xd0\xa0\xd0\x93-1-1.docx'
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
kernel:         3.19.7-200.hu.1.uksm.bfs.bfq.fc21.x86_64
package:        abiword-3.0.1-1.fc21
reason:         abiword killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Pavel Alexeev 2015-05-13 09:10:46 UTC
Another user experienced a similar problem:

Open .docx

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        abiword
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
kernel:         3.19.7-200.hu.1.uksm.bfs.bfq.fc21.x86_64
package:        abiword-3.0.1-1.fc21
reason:         abiword killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Pavel Alexeev 2015-05-13 09:12:41 UTC
Abrt link there my crash as duplicate, and it happened on 3.0.1-1 version. Should it be reopened?